Skip to content

List Source Types

GET
/data_syncer/source-connectors/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source-connectors/?project_id=<PROJECT_ID>&location=<LOCATION>&service=<SERVICE>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Please select Service as data_syncer

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

service
required
string
Allowed values: notebook vector_db pipeline inference_service private_cloud dbaas

A list of source connectors

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
source_type
string
name
string
icon_url
string
description
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1,
"source_type": "minio",
"name": "MinIO",
"icon_url": "/data-syncer-images/minio.png",
"description": "MinIO is an open source object storage system."
}
],
"errors": {},
"message": "Success"
}